import { SimpleLocalIntegration } from '../../core/index.js';
import { AnelPwrctrlConfigFlow } from './anel_pwrctrl.classes.configflow.js';
import { createAnelPwrctrlDiscoveryDescriptor } from './anel_pwrctrl.discovery.js';
import type { IAnelPwrctrlConfig } from './anel_pwrctrl.types.js';
import { anelPwrctrlDomain, anelPwrctrlProfile } from './anel_pwrctrl.types.js';

export class AnelPwrctrlIntegration extends SimpleLocalIntegration<IAnelPwrctrlConfig> {
  public readonly domain = anelPwrctrlDomain;
  public readonly discoveryDescriptor = createAnelPwrctrlDiscoveryDescriptor();
  public readonly configFlow = new AnelPwrctrlConfigFlow();

  constructor() {
    super(anelPwrctrlProfile);
  }
}

export class HomeAssistantAnelPwrctrlIntegration extends AnelPwrctrlIntegration {}
